using Elwig.Models.Dtos;
using System.Collections.Generic;

namespace Elwig.Documents {
    public class DeliveryJournal : Document {

        public new static string Name => "Lieferjournal";

        public string Filter;
        public IEnumerable<DeliveryJournalRow> Deliveries;

        public DeliveryJournal(string filter, IEnumerable<DeliveryJournalRow> deliveries) :
            base($"{Name} {filter}") {
            Filter = filter;
            Deliveries = deliveries;
        }

        public DeliveryJournal(string filter, DeliveryJournalData data) :
            this(filter, data.Rows) {
        }
    }
}
